#
# spec file for package rtorrent
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} > 1320
%bcond_without xmlrpc
%endif

Name:           rtorrent
Version:        0.9.6.g116
Release:        lp150.1.7
Summary:        Console-based BitTorrent Client
License:        SUSE-GPL-2.0+-with-openssl-exception
Group:          Productivity/Networking/File-Sharing
Url:            http://github.com/rakshasa/rtorrent
#Git-Clone	git://github.com/rakshasa/rtorrent
#Source:         https://github.com/rakshasa/rtorrent/archive/%version.tar.gz
Source:         %name-%version.tar.xz
Source2:        rtorrent.desktop
# This manpage copied from the 0.9.2 tarball as it was missing in later versions
Source3:        rtorrent.1
Source4:        rtorrent_syntax.vim
Source5:        rtorrent_ftdetect.vim
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with xmlrpc}
BuildRequires:  xmlrpc-c-devel
%endif
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
# not strictly needed. we only need it for the ownership of the vim data dir
BuildRequires:  vim
BuildRequires:  xz
BuildRequires:  pkgconfig(cppunit) >= 1.9.6
BuildRequires:  pkgconfig(libcurl) >= 7.15.4
BuildRequires:  pkgconfig(libtorrent) >= 0.13.6

%description
rTorrent is a console-based BitTorrent client. It aims to be a
fully-featured and efficient client with the ability to run in the
background using screen. It supports fast-resume and session
management.

%package vim
Summary:        Vim syntax file for rTorrent's config file
Group:          Productivity/Text/Editors
BuildArch:      noarch
Requires:       vim
Supplements:    packageand(vim:%{name})
%{!?vim_data_dir:%global vim_data_dir %(readlink -f %_datadir/vim/current)}

%description vim
Vim syntax file for rTorrent's config file, .rtorrent.rc
The files are taken from http://www.vim.org/scripts/script.php?script_id=2234

%prep
%setup -q

%build
# It's full of type pun violations
export CFLAGS="%optflags -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%if 0%{?suse_version} >= 1220
export CXXFLAGS="$CXXFLAGS -std=gnu++11"
%endif
autoreconf -fiv
%configure \
%if %{with xmlrpc}
	--with-xmlrpc-c="%_bindir/xmlrpc-c-config" \
%endif
	--enable-ipv6
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
install -Dm0644 "%{S:2}" "$b/%_datadir/applications/%name.desktop"
mkdir -p "$b/%_mandir/man1"
install -pm0644 "%{S:3}" "$b/%_mandir/man1/"
%suse_update_desktop_file -r "%name" Network P2P
install -Dm0644 "%{S:4}" "$b/%vim_data_dir/syntax/%name.vim"
install -Dm0644 "%{S:5}" "$b/%vim_data_dir/ftdetect/%name.vim"

%files
%defattr(-,root,root)
%doc doc/rtorrent.rc COPYING
%_bindir/rtorrent
%_datadir/applications/%name.desktop
%_mandir/man1/rtorrent.1*

%files vim
%defattr(-,root,root)
%dir %vim_data_dir/ftdetect
%vim_data_dir/ftdetect/%name.vim
%vim_data_dir/syntax/%name.vim

%changelog
* Mon Dec 11 2017 jengelh@inai.de
- Update to new snapshot 0.9.6.g113
  * Support for new libtorrent API regarding logging file
    descriptors and IPv6 binds.
* Tue Jun  6 2017 jengelh@inai.de
- Update to new snapshot 0.9.6.g93
  * IPv6 support
  * add support for the XDG base dir spec for rtorrent.rc
  * daemonization support
  * maximum supported filesize now 512 GB
- Change from requiring libxmlrpc-c-devel to xmlrpc-c-devel
  [boo#1042228]
* Sun Nov 15 2015 mpluskal@suse.com
- Enable xmlrpc on Tumbleweed
* Fri Nov 13 2015 tampakrap@opensuse.org
- Update to new upstream release 0.9.6
  * Added 'log.open_file_pid' and 'log.open_gz_file_pid' commands
  that appends the pid automatically.
- Moved fully to github, change URL and Source accordingly
* Tue Aug  5 2014 jengelh@inai.de
- It is supposed to be packageand(vim:rtorrent)
* Sun Aug  3 2014 tampakrap@opensuse.org
- Add Supplements: packageand(vim,rtorrent), in order to trigger automatic
  installation for users of both packages. Suggested by dimstar
* Sun Jul 27 2014 tampakrap@opensuse.org
- Add vim as BuildRequirement and Requirement for rtorrent-vim, so that it
  doesn't own vim's directories
* Sat Jul 19 2014 tampakrap@opensuse.org
- Vim syntax file for rTorrent's config file, .rtorrent.rc
  The files are taken from http://www.vim.org/scripts/script.php?script_id=2234
* Sat Jul 19 2014 jengelh@inai.de
- Update to new upstream release 0.9.4
  * Added unordered curve to plot
  * Added 'network.listen.backlog{,.set}' commands
  * Added 'log.open_gz_file' option
* Fri Feb  8 2013 jengelh@inai.de
- Initial package (version 0.9.3) for OpenSUSE
